## Package org.springframework.jdbc.datasource.init

Provides extensible support for initializing databases through scripts.

See:
Description

Interface Summary
DatabasePopulator: Strategy used to populate a database during initialization.

Class Summary
DataSourceInitializer: Used to populate a database during initialization.
ResourceDatabasePopulator: Populates a database from SQL scripts defined in external resources.

Exception Summary
CannotReadScriptException: Thrown by `ResourceDatabasePopulator` if one of its SQL scripts could not be read during population.
ScriptStatementFailedException: Thrown by `ResourceDatabasePopulator` if a statement in one of its SQL scripts failed when executing it against the target database.

## Package org.springframework.jdbc.datasource.init Description

Provides extensible support for initializing databases through scripts.